/* Provide Declarations */
#include <stdarg.h>
#include <setjmp.h>
/* get a declaration for alloca */
#if defined(__CYGWIN__) || defined(__MINGW32__)
#define  alloca(x) __builtin_alloca((x))
#define _alloca(x) __builtin_alloca((x))
#elif defined(__APPLE__)
extern void *__builtin_alloca(unsigned long);
#define alloca(x) __builtin_alloca(x)
#define longjmp _longjmp
#define setjmp _setjmp
#elif defined(__sun__)
#if defined(__sparcv9)
extern void *__builtin_alloca(unsigned long);
#else
extern void *__builtin_alloca(unsigned int);
#endif
#define alloca(x) __builtin_alloca(x)
#elif defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__)
#define alloca(x) __builtin_alloca(x)
#elif defined(_MSC_VER)
#define inline _inline
#define alloca(x) _alloca(x)
#else
#include <alloca.h>
#endif

#ifndef __GNUC__  /* Can only support "linkonce" vars with GCC */
#define __attribute__(X)
#endif

#if defined(__GNUC__) && defined(__APPLE_CC__)
#define __EXTERNAL_WEAK__ __attribute__((weak_import))
#elif defined(__GNUC__)
#define __EXTERNAL_WEAK__ __attribute__((weak))
#else
#define __EXTERNAL_WEAK__
#endif

#if defined(__GNUC__) && defined(__APPLE_CC__)
#define __ATTRIBUTE_WEAK__
#elif defined(__GNUC__)
#define __ATTRIBUTE_WEAK__ __attribute__((weak))
#else
#define __ATTRIBUTE_WEAK__
#endif

#if defined(__GNUC__)
#define __HIDDEN__ __attribute__((visibility("hidden")))
#endif

#ifdef __GNUC__
#define LLVM_NAN(NanStr)   __builtin_nan(NanStr)   /* Double */
#define LLVM_NANF(NanStr)  __builtin_nanf(NanStr)  /* Float */
#define LLVM_NANS(NanStr)  __builtin_nans(NanStr)  /* Double */
#define LLVM_NANSF(NanStr) __builtin_nansf(NanStr) /* Float */
#define LLVM_INF           __builtin_inf()         /* Double */
#define LLVM_INFF          __builtin_inff()        /* Float */
#define LLVM_PREFETCH(addr,rw,locality) __builtin_prefetch(addr,rw,locality)
#define __ATTRIBUTE_CTOR__ __attribute__((constructor))
#define __ATTRIBUTE_DTOR__ __attribute__((destructor))
#define LLVM_ASM           __asm__
#else
#define LLVM_NAN(NanStr)   ((double)0.0)           /* Double */
#define LLVM_NANF(NanStr)  0.0F                    /* Float */
#define LLVM_NANS(NanStr)  ((double)0.0)           /* Double */
#define LLVM_NANSF(NanStr) 0.0F                    /* Float */
#define LLVM_INF           ((double)0.0)           /* Double */
#define LLVM_INFF          0.0F                    /* Float */
#define LLVM_PREFETCH(addr,rw,locality)            /* PREFETCH */
#define __ATTRIBUTE_CTOR__
#define __ATTRIBUTE_DTOR__
#define LLVM_ASM(X)
#endif

#if __GNUC__ < 4 /* Old GCC's, or compilers not GCC */ 
#define __builtin_stack_save() 0   /* not implemented */
#define __builtin_stack_restore(X) /* noop */
#endif

#define CODE_FOR_MAIN() /* Any target-specific code for main()*/

#ifndef __cplusplus
typedef unsigned char bool;
#endif


/* Support for floating point constants */
typedef unsigned long long ConstantDoubleTy;
typedef unsigned int        ConstantFloatTy;
typedef struct { unsigned long long f1; unsigned short f2; unsigned short pad[3]; } ConstantFP80Ty;
typedef struct { unsigned long long f1; unsigned long long f2; } ConstantFP128Ty;


/* Global Declarations */
/* Helper union for bitcasts */
typedef union {
  unsigned int Int32;
  unsigned long long Int64;
  float Float;
  double Double;
} llvmBitCastUnion;
/* Structure forward decls */
struct l_struct_2E_X;

/* Typedefs */
typedef struct l_struct_2E_X l_struct_2E_X;

/* Structure contents */
struct l_struct_2E_X {
  unsigned char field0;
  unsigned long long field1;
  unsigned char field2[7];
} __attribute__ ((packed));


/* External Global Variable Declarations */

/* Function Declarations */
double fmod(double, double);
float fmodf(float, float);
long double fmodl(long double, long double);
unsigned int main(void);
unsigned int printf(unsigned char *, ...);
unsigned char *malloc();
void free(unsigned char *);
void abort(void);


/* Global Variable Declarations */
static unsigned char _2E_str[16];


/* Global Variable Definitions and Initialization */
static unsigned char _2E_str[16] = "bad bits: %llx\n";


/* Function Bodies */
static inline int llvm_fcmp_ord(double X, double Y) { return X == X && Y == Y; }
static inline int llvm_fcmp_uno(double X, double Y) { return X != X || Y != Y; }
static inline int llvm_fcmp_ueq(double X, double Y) { return X == Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_une(double X, double Y) { return X != Y; }
static inline int llvm_fcmp_ult(double X, double Y) { return X <  Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_ugt(double X, double Y) { return X >  Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_ule(double X, double Y) { return X <= Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_uge(double X, double Y) { return X >= Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_oeq(double X, double Y) { return X == Y ; }
static inline int llvm_fcmp_one(double X, double Y) { return X != Y && llvm_fcmp_ord(X, Y); }
static inline int llvm_fcmp_olt(double X, double Y) { return X <  Y ; }
static inline int llvm_fcmp_ogt(double X, double Y) { return X >  Y ; }
static inline int llvm_fcmp_ole(double X, double Y) { return X <= Y ; }
static inline int llvm_fcmp_oge(double X, double Y) { return X >= Y ; }

unsigned int main(void) {
  unsigned long long llvm_cbe_x1[2];    /* Address-exposed local */
  unsigned char *llvm_cbe_tmp1;
  unsigned char llvm_cbe_tmp2;
  unsigned long long *llvm_cbe_tmp78;
  unsigned long long llvm_cbe_tmp9;
  unsigned long long *llvm_cbe_tmp142;
  unsigned long long llvm_cbe_tmp143;
  unsigned long long *llvm_cbe_tmp19;
  unsigned long long llvm_cbe_tmp21;
  unsigned long long *llvm_cbe_tmp26;
  unsigned long long llvm_cbe_tmp27;
  unsigned long long llvm_cbe_tmp34;
  unsigned int llvm_cbe_tmp37;

  CODE_FOR_MAIN();
  llvm_cbe_tmp1 = ((unsigned char *)(&llvm_cbe_x1));
  llvm_cbe_tmp2 = *llvm_cbe_tmp1;
  *llvm_cbe_tmp1 = (((unsigned char )(llvm_cbe_tmp2 | ((unsigned char )15))));
  llvm_cbe_tmp78 = &llvm_cbe_x1[((signed int )((unsigned int )0))];
  llvm_cbe_tmp9 = *llvm_cbe_tmp78;
  *llvm_cbe_tmp78 = (llvm_cbe_tmp9 | ((unsigned long long )-16ll));
  llvm_cbe_tmp142 = &llvm_cbe_x1[((signed int )((unsigned int )1))];
  llvm_cbe_tmp143 = *llvm_cbe_tmp142;
  *llvm_cbe_tmp142 = (llvm_cbe_tmp143 | ((unsigned long long )15ll));
  llvm_cbe_tmp19 = &(((struct l_struct_2E_X *)(&llvm_cbe_x1)))->field1;
  llvm_cbe_tmp21 = *llvm_cbe_tmp19;
  *llvm_cbe_tmp19 = (llvm_cbe_tmp21 | ((unsigned long long )-1152921504606846976ll));
  llvm_cbe_tmp26 = &llvm_cbe_tmp19[((signed int )((unsigned int )1))];
  llvm_cbe_tmp27 = *llvm_cbe_tmp26;
  *llvm_cbe_tmp26 = (llvm_cbe_tmp27 | ((unsigned long long )72057594037927935ll));
  llvm_cbe_tmp34 = *llvm_cbe_tmp142;
  llvm_cbe_tmp37 = printf((&(_2E_str[((signed int )((unsigned int )0))])), (llvm_cbe_tmp34 ^ ((unsigned long long )-1ll)));
  return (((unsigned int )(bool )(llvm_cbe_tmp34 != ((unsigned long long )-1ll))));
}

